=== debian/changelog ===
gocr (0.41-1) unstable; urgency=low

  * new upstream version
    Closes: #388217
  * fixed gnome-frontend (frontend/gnome/src/functions.c) string quoting
    (debian/patches/gnome-frontend-functions.c.patch_allow_spaces)
  * fixed gnome-frontend showing button
    (debian/patches/gnome-frontend-functions.c.patch_show_buttons)
  * applied debian/patches/gocr-0.41-pgm.patch from upstream
  * quoted dashes in gocr.1 man page
    Closes: #272590

 -- Cosimo Alfarano <kalfa@debian.org>  Thu,  9 Nov 2006 14:08:47 +0100

gocr (0.39-5) unstable; urgency=high

  * security fix for http://www.overflow.pl/adv/gocr.txt
    Closes: #305068
  * copied src/pnm.c from 0.40 and patched gocr.c
    according to upstream, it's the best way to backport the fix from 0.40

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 20 Apr 2005 00:12:48 +0200

gocr (0.39-4) unstable; urgency=low

  * recommends libjpeg-progs, bzip2, netpbm, transfig in control
    (see pnm.c for list of autoinvoked command)
    Closes: #272282

 -- Cosimo Alfarano <kalfa@debian.org>  Sun, 19 Sep 2004 23:07:05 +0200

gocr (0.39-3) unstable; urgency=low

  * apply patches by Nicolas Fran\347ois for gocr-gtk
    that fix a problem with opening file with spaces and opening two files
    Closes: #197827,#197814

 -- Cosimo Alfarano <kalfa@debian.org>  Mon, 26 Jul 2004 18:19:33 +0200

gocr (0.39-2) unstable; urgency=low

  * debian/control: added Suggests: gocr-doc to gocr 
    closes: Bug#254827

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 15 Jul 2004 00:47:52 +0200

gocr (0.39-1) unstable; urgency=low

  * New upstream release
    closes: Bug#244223

 -- Cosimo Alfarano <kalfa@debian.org>  Sat, 17 Apr 2004 15:19:09 +0200

gocr (0.38-4) unstable; urgency=low

  * fixes the previous entry, that was upload by mistake without updating it
    :( 
  * built against libnetpbm10 (Build-Depends updated)
    closes: Bug#211258

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 25 Mar 2004 22:27:14 +0100

gocr (0.38-3) unstable; urgency=low

  * libnetpbm10 

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 25 Mar 2004 21:44:35 +0100

gocr (0.38-2) unstable; urgency=low

  * removed tk8.4-dev from Build-Depends, thanks to Florent Rougon
    closes: Bug#227533
  * suggesting xsane to goct-tk, since it can scan a document from GUI

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 23 Mar 2004 11:02:54 +0100

gocr (0.38-1) unstable; urgency=low

  * New Upstream Release

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 24 Dec 2003 19:37:25 +0100

gocr (0.37-3) unstable; urgency=low

  * debian/rules: ignore errorcode of find if CVS dir and some other files are
    not found during clean target execution
    closes: Bug#199933

 -- Cosimo Alfarano <kalfa@debian.org>  Fri,  4 Jul 2003 16:06:26 +0200

gocr (0.37-2) unstable; urgency=low

  * added autoconf in Build-Depends
    closes: Bug#199756
  * binary-arch target now depends on install target. it was forgot in some
    way
    closes: Bug#191633

 -- Cosimo Alfarano <kalfa@debian.org>  Thu,  3 Jul 2003 21:16:34 +0200

gocr (0.37-1) unstable; urgency=low

  * reuploading the old debian 0.3.7-1 version with the real upstream version
    fixed. it's 0.37!
  * changed deps of gocr-tk to respect current sid's tk version.
    (closes: Bug#194794)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 27 May 2003 15:19:14 +0200

gocr (0.3.7-1) unstable; urgency=low

  * New Upstream Version  (closes: #173595)
  * Installed new gocr man page from sources (closes: Bug#174182,Bug#151736)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 27 Dec 2002 19:29:24 +0100

gocr (0.3.4-10) unstable; urgency=low

  * fixed some typos in debian/control (closes: #142504,#142735)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 16 Apr 2002 14:07:04 +0200

gocr (0.3.4-9) unstable; urgency=low

  * fixed gtk-ocr segfault during setting (closes: Bug#136913) 
    modified line are tagged "//KA"

 -- Cosimo Alfarano <kalfa@debian.org>  Tue,  5 Mar 2002 16:47:56 +0100

gocr (0.3.4-8) unstable; urgency=low

  *  arch-dep and arch-indep packages splitted in debian/rules

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 22 Feb 2002 19:18:53 +0100

gocr (0.3.4-7) unstable; urgency=low

  * fixed a type in Description (closes: Bug#125619)
  * added gsfonts and tk8.0-dev to Build-Depends: (closes: Bug#126284)

 -- Cosimo Alfarano <kalfa@debian.org>  Sun, 23 Dec 2001 22:55:20 +0100

gocr (0.3.4-6) unstable; urgency=low

  * fixed section of gocr-doc in debian/control (from graphic to doc)
  * replaced gv with gs to Build-Depends: (closes: Bug#116882)

 -- Cosimo Alfarano <kalfa@debian.org>  Wed, 24 Oct 2001 21:40:22 +0000

gocr (0.3.4-5) unstable; urgency=low

  * Completly rewritten all Descriptions (closes: Bug#116796)
  * patching frontend/gnome/src/function.c In saving file.
    s/+1/+2/ allocing memory for filename $HOME/.gtk_ocr (closes: Bug#116670)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 23 Oct 2001 22:38:30 +0000

gocr (0.3.4-4) unstable; urgency=low

  * patched frontend/gnome/src/functions.c (segfault)
  * removed all config.{status,cache} (debian/rules clean)
  * changed path to common-licenses in copyright file
  * patched exaple/Makefile clean targed (more file removed)

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 22 Oct 2001 21:35:43 +0000

gocr (0.3.4-3) unstable; urgency=low

  * controlled and fixed all Descriptions (closes: #101781)

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 19 Oct 2001 17:09:37 +0200

gocr (0.3.4-2) unstable; urgency=low

  * orig.tgz created.... debian release 1 missing it

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 19 Oct 2001 00:25:03 +0000

gocr (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Patched examples/Makefile -> in target examples added text.ps font.ps
  * Patched frontend/Makefile -> in target all added $(MAKE) -C src all

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 18 Oct 2001 23:29:03 +0000

gocr (0.3.3-1) unstable; urgency=low

  * new upstream version (closes: #87979)

