=== debian/control ===
Source: gocr
Section: graphics
Priority: optional
Maintainer: Cosimo Alfarano <kalfa@debian.org>
Standards-Version: 3.5.10
Build-Depends: tetex-bin, debhelper (>= 3.0), autoconf, libgtk1.2-dev, libnetpbm10-dev, netpbm, transfig, gs, gsfonts

Package: gocr
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gocr-doc
Recommends: libjpeg-progs, bzip2, netpbm, transfig
Description: A command line OCR
 gocr is a multi-platform OCR (Optical Character Recognition) program.
 .
 It can read pnm, pbm, pgm, ppm, some pcx and tga image files.
 .
 Currently the program should be able to handle well scans that have their text
 in one column and do not have tables. Font sizes of 20 to 60
 pixels are supported.
 .
 If you want to write your own OCR, libgocr is provided in a separate
 package. Documentation and graphical wrapper are provided in separated
 packages, too.
     
Package: gocr-doc
Section: doc
Architecture: all
Description: gocr documentation
 gocr is a multi-platform OCR (Optical Character Recognition) program.
 .
 It can read pnm, pbm, pgm, ppm, some pcx and tga image files.
 .
 It is documentation about gocr and OCRs.

Package: gocr-tk
Architecture: any
Depends: gocr, tk8.4 | wish
Suggests: xsane
Description: A tcl/tk wrapper around gocr
 gocr is a multi-platform OCR (Optical Character Recognition) program.
 .
 It can read pnm, pbm, pgm, ppm, some pcx and tga image files.
 .
 It is a tlc/tk GUI to gocr (a command line program).
 
Package: gocr-gtk
Architecture: any
Depends: gocr, ${shlibs:Depends}
Description: A GTK wrapper around gocr
 gocr is a multi-platform OCR (Optical Character Recognition) program.
 .
 It can read pnm, pbm, pgm, ppm, some pcx and tga image files.
 .
 It is a GTK GUI to gocr (command line program).
